<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf">
	<html>
	<body>
<div id="Menu">
		<ui:include src="HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		 	<div class="col-md-8">	

			<div class="widget">
							<div class="widget-header transparent">
								<h2>List of training <strong>Sessions</strong></h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="static-table-scroll">
									<div class="table-responsive">
									<h:form>
									<div class="col-sm-4">
										<h:selectOneMenu value="#{seanceBean.title}" class="form-control"
														rendered="#{not seanceBean.showForm}">
														<f:selectItem itemLabel="please select" />
														<f:selectItems value="#{seanceBean.titles}" var="c"
   															itemLabel="#{c}" itemValue="#{c}" />
   										</h:selectOneMenu>
									</div>
									<div class="col-sm-4">
										<h:commandLink id="btnSearch"
														title="Search"
    													styleClass="btn btn-warning" 
    													action="#{seanceBean.rechercheByTitle()}"
    													rendered="#{not seanceBean.showForm}">
    													<i class="fa fa-search"></i>
									    </h:commandLink>
									    <h:commandLink id="btnRetablir"
														title="Retablir"
    													styleClass="btn btn-default" 
    													action="#{seanceBean.retablir()}"
    													rendered="#{not seanceBean.showForm}">
    													<i class="fa fa-close"></i>
									    </h:commandLink>
									</div>
									<div class="col-lg-4">
										<h:commandLink id="btnAdd"
											title="Add"
    										action="scheduleTrainingSession.xhtml?faces-redirect=true" 
    										styleClass="btn btn-info" 
    										rendered="#{not seanceBean.showForm}">
    										<i class="fa fa-plus-circle"></i> Schedule a new Training Session
										</h:commandLink>
										<br></br>
									<br></br>
									</div>
										<h:dataTable class="table table-hover" value="#{seanceBean.seances}" var="e" 
													rendered="#{not seanceBean.showForm}">
											
												<h:column id="c1">
														<f:facet name="header">
															<h:outputText value="Training" />
														</f:facet>
														<h:outputText value="#{e.training}" />
												</h:column>
												
												<h:column id="c2">
														<f:facet name="header">
															<h:outputText value="Trainer" />
														</f:facet>
														<h:outputText value="#{e.trainer}" />
												</h:column>
												
												<h:column id="c3">
														<f:facet name="header">
															<h:outputText value="Employee" />
														</f:facet>
														<h:outputText value="#{e.employee}" />
												</h:column>
				
												<h:column id="c4">
														<f:facet name="header">
															<h:outputText value="Date" />
														</f:facet>
														<h:outputText value="#{e.seancePk.dateSeance}" />
												</h:column>
				
												<h:column id="c5">
														<f:facet name="header">
															<h:outputText value="Chamber" />
														</f:facet>
														<h:outputText value="#{e.salle}" />
												 </h:column>
				
												  <h:column id="c6">
																<f:facet name="header">
																	<h:outputText value="Edit" />
																</f:facet>
																<div class="btn-group btn-group-xs">
					
																 <h:commandButton action="#{seanceBean.doSelect()}" value="Select"
																 styleClass="btn btn-success">
																	<f:setPropertyActionListener value="#{e}"
																	target="#{seanceBean.seance}"></f:setPropertyActionListener>
																	</h:commandButton>
															</div>
													</h:column>
										</h:dataTable>
										<div class="col-sm-1"></div>
									<div class="col-sm-8">
									
										<h:panelGrid  
										columns = "2" 
            						    
             							width="120%"
             							rendered="#{seanceBean.showForm}">
             							
										<label style="padding:20px">Training</label>
										<h:inputText style="padding:20px" value="#{seanceBean.seance.training.title}"  readonly="true" class="form-control"/>
										
									    <label style="padding:20px">Trainer</label>
										<h:inputText style="padding:20px" value="#{seanceBean.seance.trainer}"  readonly="true" class="form-control"/>
									  
									  	<label style="padding:20px">Employee</label>
										<h:inputText style="padding:20px" value="#{seanceBean.seance.employee}"  readonly="true" class="form-control"/>
										
										<label style="padding:20px">Date</label>
											<input  style="padding:20px"
													type="date"
     							 					class="form-control" 
     							 					jsf:value="#{seanceBean.seance.seancePk.dateSeance}"
     							 					readonly="true">
     							 					<f:convertDateTime type="date" pattern="yyyy-MM-dd" />
     							 			</input>
     							 			
     							 		<label style="padding:20px">Chamber</label>
     							 			<h:selectOneMenu  
     							 			style="padding:20px" 
     							 			value="#{seanceBean.seance.salle}"  
     							 			class="form-control" 
     							 			readonly="true">
												<f:selectItem itemLabel="please select" />
   												<f:selectItem itemValue="Conference room" itemLabel="Conference room" />
   												<f:selectItem itemValue="A01" itemLabel="A01" />
   												<f:selectItem itemValue="A02" itemLabel="A02" />
   											</h:selectOneMenu>
										
				<br></br>
				<br></br>
				<br></br>
				
				<f:facet name="footer" >
				 <h:panelGroup style = "display:block; text-align:center;">
					
						<h:commandLink
						title="Delete"
						action="#{seanceBean.doDeleteSeance()}" 
						styleClass="btn btn-danger" >
    					<i class="fa fa-trash-o"></i> Delete
						</h:commandLink>
						
						<h:commandLink 
						title="Cancel"
						action="#{seanceBean.doCancel()}" 
						styleClass="btn btn-success" >
    					<i class="fa fa-close"></i> Cancel
						</h:commandLink>
						 </h:panelGroup>
				</f:facet>
			</h:panelGrid>
			</div>
										</h:form>
									</div>
								</div>
							</div>
						</div>
		  	</div>
		  </div>
		</div>
		<ui:include src="Footer.xhtml" />
		</body>
		</html>
</ui:composition>